io.etcd.jetcd.op

## Class Cmp

- java.lang.Object
- - io.etcd.jetcd.op.Cmp

    public class Cmp
    extends Object

The compare predicate in `Txn`.

### Nested Class Summary

Nested Classes
`static class` `Cmp.Op`

### Constructor Summary

Constructors
Constructor and Description
`Cmp(ByteSequence key, Cmp.Op compareOp, CmpTarget<?> target)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Cmp

    public Cmp(ByteSequence key,
               Cmp.Op compareOp,
               CmpTarget<?> target)